List Envelopes
curl --request GET \
--url https://api.example.com/emails/envelopeimport requests
url = "https://api.example.com/emails/envelope"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/emails/envelope', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/emails/envelope",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/emails/envelope"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/emails/envelope")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/emails/envelope")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{}
],
"pagination": {},
"id": "<string>",
"subject": "<string>",
"from_email": "<string>",
"from_name": {},
"total_recipients": 123,
"created_at": "<string>"
}Envelope
List Envelopes
Retrieve email envelope metadata
List Envelopes
curl --request GET \
--url https://api.example.com/emails/envelopeimport requests
url = "https://api.example.com/emails/envelope"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/emails/envelope', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/emails/envelope",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/emails/envelope"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/emails/envelope")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/emails/envelope")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{}
],
"pagination": {},
"id": "<string>",
"subject": "<string>",
"from_email": "<string>",
"from_name": {},
"total_recipients": 123,
"created_at": "<string>"
}Description
Retrieve paginated envelope metadata for emails sent from your verified domains.Query parameters
number
Results per page. Default: 20. Maximum: 100.
number
Page number. Default: 1.
string
Search by sender, subject, or envelope ID.
string
Filter envelopes created on or after this date.
string
Filter envelopes created on or before this date.
string
Sort field. Default:
created_at.string
Sort order. Default:
desc.Response
array
Array of email envelope records.
object
Pagination metadata.
Envelope object
string
Unique envelope ID.
string
Email subject.
string
Sender email address.
string | null
Sender name, if provided.
number
Number of recipients included in the email.
string
ISO 8601 timestamp when the envelope was created.
Examples
curl "https://api.usesendly.app/v1/emails/envelope?limit=20&page=1" \
-H "Authorization: Bearer se_your_api_key"
const response = await client.emails.envelope.list({
limit: 20,
page: 1,
sort_by: 'created_at',
sort_order: 'desc'
})
response.data.forEach(env => {
console.log(`From: ${env.from_name || env.from_email}`)
console.log(`Subject: ${env.subject}`)
})
Need help? Contact support@usesendly.app